Debian GNU/Linux

Change logs for “bzr-builddeb” source package in Debian Experimental

  • bzr-builddeb (2.8.5) experimental; urgency=low
    
    
      * Cope with quilt output being empty in error message. LP: #1014543
      * Remove myself and Reinhard from uploaders.
      * Don't consider .gitignore when looking for upstream sources.
    
     -- Jelmer Vernooij <email address hidden>  Mon, 09 Jul 2012 12:04:50 +0200
  • bzr-builddeb (2.3) experimental; urgency=low
    
    
      [ James Westby ]
      * Some support for v3 source formats (Closes: #562991)
        - Those that look quite a lot like v1 are supported well.
        - .tar.bz2 tarballs are supported for import, building, merge-upstream,
          etc., but only enabled for the latter with a --v3 switch for now.
        - Multiple orig.tar.gz is not supported.
        - .tar.lzma is not supported awaiting pristine-tar support.
      * New "dh-make" command ("dh_make" alias) that allows you to start
        packaging, either in an empty branch, or based on an upstream branch.
      * Fix merge-package for native packages (LP: #476348)
      * debian/changelog merge hook to reduce the manual conflict resolution
        required there. Thanks to John Arbash Meinel and Andrew Bennetts
        (LP: #501754).
        - Requires newer bzr.
      * Fix merge-package outside a shared repo (LP: #493462)
      * Fix exporting of symlinks (LP: #364671)
      * Add --force option to merge-upstream which may help certain people.
      * Use system configobj if the bzr copy isn't available. Thanks Jelmer.
      * Make merging multiple-root branches work. Thanks Robert Collins.
      * Disentangle from bzrtools. Thanks Max Bowser.
    
      [ Jelmer Vernooij ]
      * Bump standards version to 3.8.4.
      * Fix formatting in doc-base.
    
     -- Jelmer Vernooij <email address hidden>  Sat, 13 Feb 2010 00:44:03 +0100
  • bzr-builddeb (2.1.1) experimental; urgency=low
    
    
      * Make get-orig-source priority higher than uscan. Thanks Martin Pitt.
        (LP: #339343).
      * Correct variable used in provide_with_apt. Thanks also to Martin Pitt.
        (LP: #339333)
      * Use hashlib instead of the sha and md5 modules. Thanks Kees Cook.
        (LP: #338525)
    
     -- James Westby <email address hidden>  Sun, 08 Mar 2009 17:34:15 +1000